Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000009OpenIVTools - Script decompilerpublic2011-02-16 08:052011-09-24 21:24
ReporterVcSaJen 
Assigned ToGooD-NTS 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOLD PCOSWindows XP (x32)OS Version5.1.2600
Product Version0.9.1 (build 233) 
Target Version0.9.3 (build 273)Fixed in Version0.9.3 (build 273) 
Summary0000009: Decompiler failed with some GTA IV scripts
Description----------------------------------------------------------------------------------------------------

При попытке декомпилировать binco_brook_s.sco возникает ошибка (GTA4 1.0.3.1):

Время: "10:23:07"
Тип: "EListError"
Сообщение: "Unbalanced stack or queue operation"

Дополнительная информация:
  Address: "0x0056B739"
  Procedure: "Rage.Script.Code.Block.TStack<Rage.Script.Code.Elements.Basis.TCodeObject>.Peek"
  Unit: "..\..\..\..\Common Units\Rage\Script\Rage.Script.Code.Block.pas", Line: "1086"

Stack:
[0056B734] Rage.Script.Code.Block.TStack<Rage.Script.Code.Elements.Basis.TCodeObject>.Peek (Line 1086, "..\..\..\..\Common Units\Rage\Script\Rage.Script.Code.Block.pas" + 0) + $324
[00569551] Rage.Script.Code.Block.TRageScriptCodeBlock.Generate (Line 487, "..\..\..\..\Common Units\Rage\Script\Rage.Script.Code.Block.pas" + 72) + $12

-----------------------------------------------------------------------------------------------------

При попытке декомпилировать elizabeta3.sco возникает ошибка (GTA4 1.0.3.1):

Время: "12:04:59"
Тип: "EArgumentOutOfRangeException"
Сообщение: "Argument out of range"

Дополнительная информация:
  Address: "0x0056C394"
  Procedure: "Rage.Script.Code.Block.TList<Rage.Script.Code.Elements.Basis.TCodeObject>.GetItem"
  Unit: "..\..\..\..\Common Units\Rage\Script\Rage.Script.Code.Block.pas", Line: "1086"

Stack:
[0056C38F] Rage.Script.Code.Block.TList<Rage.Script.Code.Elements.Basis.TCodeObject>.GetItem (Line 1086, "..\..\..\..\Common Units\Rage\Script\Rage.Script.Code.Block.pas" + 0) + $F7F
[00569F7E] Rage.Script.Code.Block.TRageScriptCodeBlock.ProcessJump (Line 701, "..\..\..\..\Common Units\Rage\Script\Rage.Script.Code.Block.pas" + 5) + $6
[00569405] Rage.Script.Code.Block.TRageScriptCodeBlock.Generate (Line 471, "..\..\..\..\Common Units\Rage\Script\Rage.Script.Code.Block.pas" + 56) + $12

-----------------------------------------------------------------------------------------------------

При попытке декомпилировать perseus_manhat_8.sco возникает ошибка (GTA4 1.0.3.1):

Время: "12:31:59"
Тип: "EListError"
Сообщение: "Unbalanced stack or queue operation"

Дополнительная информация:
  Address: "0x0056B739"
  Procedure: "Rage.Script.Code.Block.TStack<Rage.Script.Code.Elements.Basis.TCodeObject>.Peek"
  Unit: "..\..\..\..\Common Units\Rage\Script\Rage.Script.Code.Block.pas", Line: "1086"

Stack:
[0056B734] Rage.Script.Code.Block.TStack<Rage.Script.Code.Elements.Basis.TCodeObject>.Peek (Line 1086, "..\..\..\..\Common Units\Rage\Script\Rage.Script.Code.Block.pas" + 0) + $324
[00569551] Rage.Script.Code.Block.TRageScriptCodeBlock.Generate (Line 487, "..\..\..\..\Common Units\Rage\Script\Rage.Script.Code.Block.pas" + 72) + $12
Steps To Reproduce1) Открыть common\data\cdimages\script.img
2) Попытаться декомпилировать binco_brook_s.sco, elizabeta3.sco, perseus_manhat_8.sco
Additional InformationЭтой ошибки не было в старой публичной версии.
Об этой ошибке я уже писал на дропбоксе.
TagsNo tags attached.
GameGTA IV
Attached Files

- Relationships
has duplicate 0000019closedGooD-NTS Decompiler failed with some GTA IV scripts 

-  Notes
(0000006)
GooD-NTS (administrator)
2011-02-16 16:19

>>Этой ошибки не было в старой публичной версии.
В той версии был другой декомпилятор, во много раз хуже чем этот.

>>Об этой ошибке я уже писал на дропбоксе.
Это правильно что ты её здесь продублировал.
(0000033)
GooD-NTS (administrator)
2011-09-24 21:24

Now this scripts can be opened. But it is used temporary solution.

- Issue History
Date Modified Username Field Change
2011-02-16 08:05 VcSaJen New Issue
2011-02-16 08:05 VcSaJen Status new => assigned
2011-02-16 08:05 VcSaJen Assigned To => GooD-NTS
2011-02-16 08:13 GooD-NTS Severity crash => block
2011-02-16 08:13 GooD-NTS Reproducibility always => sometimes
2011-02-16 08:13 GooD-NTS Status assigned => confirmed
2011-02-16 08:13 GooD-NTS Description Updated View Revisions
2011-02-16 16:19 GooD-NTS Note Added: 0000006
2011-03-01 12:28 GooD-NTS Summary Ошибка декомпилирования некоторых сктриптов GTA4 => Decompiler failed with some GTA IV scripts
2011-04-16 06:31 tomas Issue Monitored: tomas
2011-05-22 12:50 GooD-NTS Relationship added has duplicate 0000019
2011-05-22 12:55 GooD-NTS Reproducibility sometimes => always
2011-05-22 12:55 GooD-NTS Status confirmed => assigned
2011-05-22 12:55 GooD-NTS Target Version => 0.9.3 (build 273)
2011-07-06 13:08 GooD-NTS Assigned To GooD-NTS => Alexander Blade
2011-09-24 21:22 GooD-NTS Assigned To Alexander Blade => GooD-NTS
2011-09-24 21:24 GooD-NTS Note Added: 0000033
2011-09-24 21:24 GooD-NTS Status assigned => closed
2011-09-24 21:24 GooD-NTS Resolution open => fixed
2011-09-24 21:24 GooD-NTS Fixed in Version => 0.9.3 (build 273)


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker